Bug 830334 - Invalid chaining config triggers a disk full error and shutdown
Summary: Invalid chaining config triggers a disk full error and shutdown
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On:
Blocks: 911474 913144
TreeView+ depends on / blocked
 
Reported: 2012-06-08 21:11 UTC by Nathan Kinder
Modified: 2013-11-21 20:59 UTC (History)
6 users (show)

Fixed In Version: 389-ds-base-1.2.11.15-14.el6_4
Doc Type: Bug Fix
Doc Text:
Cause: Invalid chaining configuration lead to an incorrect interpretation of an error code. Consequence: The server was triggered to shutdown because it thinks the server ran out of disk space. Fix: Correct the error code. Result: The server does not shutdown when it detects invalid chaining configuration.
Clone Of:
: 913144 (view as bug list)
Environment:
Last Closed: 2013-11-21 20:59:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1653 normal SHIPPED_LIVE 389-ds-base bug fix update 2013-11-20 21:53:19 UTC

Description Nathan Kinder 2012-06-08 21:11:31 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/367

If you try and setup chaining using the root DN, the callback returns -2, which is incorrectly seen as a "disk full" error and the DS is automatically shutdown.

Comment 1 RHEL Product and Program Management 2012-07-10 06:18:09 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 2 RHEL Product and Program Management 2012-07-10 23:00:11 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 4 Sankar Ramalingam 2013-01-24 12:03:41 UTC
Request you to please add verification steps.

Comment 5 mreynolds 2013-01-24 14:02:37 UTC
Setup chaining, and set the root dn (cn=directory manager" as the bind dn:

https://access.redhat.com/knowledge/docs/en-US/Red_Hat_Directory_Server/9.0/html/Administration_Guide/Configuring_Directory_Databases-Creating_and_Maintaining_Database_Links.html

After setting up chaining/database link, make sure the DS is still running.

Comment 11 errata-xmlrpc 2013-11-21 20:59:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1653.html


Note You need to log in before you can comment on or make changes to this bug.